PHP Manual
Prev |  | Next

# dbminsert

(PHP 3, PHP 4, PECL)

dbminsert -- Inserts a value for a key in a DBM database

## Description

int dbminsert ( resource dbm_identifier, string key, string value )

Adds the value to the database with the specified key.

## Parameters

`dbm_identifier`

  The DBM link identifier, returned by dbmopen().

`key`

  The added key

`value`

  The added key value

## Return Values

Returns -1 if the database was opened read-only, 0 if the insert was successful, and 1 if the specified key already exists. (To replace the value, use dbmreplace().)

## See Also

dbmreplace()
dbmdelete()

Prev | Home | Next
dbmfirstkey | Up | dbmnextkey